/*
 * lesslog - PostgreSQL archive log size reduction utility
 *
 *    Copyright(C) 2008 Nippon Telegraph and Telephone Corporation
 *
 *    Contact: suzuki.koichi@oss.ntt.co.jp
 */

/*
 * remove.h
 *    replace physical log with logical log while WAL archiving.
 */
#ifndef REMOVE_H_INCLUDED
#define REMOVE_H_INCLUDED

#include "postgres.h"
#include "access/xlog.h"

/* =============================================================================
 * Prototypes
 * ===========================================================================*/
uint32 remove_bkp_block(XLogRecord *record, const char *rec_pos);

/* Helper functions */
uint32 get_space_in_page(uint32 offset);
uint32 get_paging_overhead(uint32 rec_pos, uint32 rec_len);
const char *get_next_rec_pos(const char *rec_end_pos);
uint32 get_noop_len(const char *rec_pos, uint32 org_len, uint32 new_len,
	const char *next_pos);

#endif /* REMOVE_H_INCLUDED */

